メインコンテンツへスキップ
POST
/
crm
/
properties
/
2025-09
/
{objectType}
Create a property
curl --request POST \
  --url https://api.hubapi.com/crm/properties/2025-09/{objectType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayOrder": 2,
  "fieldType": "select",
  "formField": true,
  "groupName": "contactinformation",
  "hasUniqueValue": false,
  "hidden": false,
  "label": "My Contact Property",
  "name": "my_contact_property",
  "options": [
    {
      "description": "Choice number one",
      "displayOrder": 1,
      "hidden": false,
      "label": "Option A",
      "value": "A"
    },
    {
      "description": "Choice number two",
      "displayOrder": 2,
      "hidden": false,
      "label": "Option B",
      "value": "B"
    }
  ],
  "type": "enumeration"
}
'
{
  "displayOrder": 2,
  "fieldType": "select",
  "formField": true,
  "groupName": "contactinformation",
  "hasUniqueValue": false,
  "hidden": false,
  "label": "My Contact Property",
  "modificationMetadata": {
    "archivable": true,
    "readOnlyDefinition": false,
    "readOnlyOptions": false,
    "readOnlyValue": false
  },
  "name": "my_contact_property",
  "options": [
    {
      "description": "Choice number one",
      "displayOrder": 1,
      "hidden": false,
      "label": "Option A",
      "value": "A"
    },
    {
      "description": "Choice number two",
      "displayOrder": 2,
      "hidden": false,
      "label": "Option B",
      "value": "B"
    }
  ],
  "type": "enumeration"
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -無料ツール
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -無料ツール

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

ボディ

application/json
fieldType
enum<string>
必須

Controls how the property appears in HubSpot.

利用可能なオプション:
booleancheckbox,
calculation_equation,
checkbox,
date,
file,
html,
number,
phonenumber,
radio,
select,
text,
textarea
groupName
string
必須

The name of the property group the property belongs to.

label
string
必須

A human-readable label that will be shown in HubSpot.

name
string
必須

The name of the property to read or modify.

type
enum<string>
必須

The data type of the property.

利用可能なオプション:
bool,
date,
datetime,
enumeration,
number,
phone_number,
string
calculationFormula
string

Represents a formula that is used to compute a calculated property.

dataSensitivity
enum<string>
利用可能なオプション:
highly_sensitive,
non_sensitive,
sensitive
description
string

A description of the property that will be shown as help text in HubSpot.

displayOrder
integer<int32>

Property groups are displayed in order starting with the lowest positive integer value. Values of -1 will cause the property group to be displayed after any positive values.

externalOptions
boolean

Applicable only for 'enumeration' type properties. Should be set to true in conjunction with a 'referencedObjectType' of 'OWNER'. Otherwise false.

formField
boolean

Whether or not the property can be used in a HubSpot form.

hasUniqueValue
boolean

Whether or not the property's value must be unique. Once set, this can't be changed.

hidden
boolean

If true, the property won't be visible and can't be used in HubSpot.

options
object[]

A list of valid options for the property. This field is required for enumerated properties.

referencedObjectType
string

Should be set to 'OWNER' when 'externalOptions' is true, which causes the property to dynamically pull option values from the current HubSpot users.

レスポンス

successful operation

A HubSpot property

description
string
必須

A description of the property that will be shown as help text in HubSpot.

fieldType
string
必須

Controls how the property appears in HubSpot.

groupName
string
必須

The name of the property group the property belongs to.

label
string
必須

A human-readable label that will be shown in HubSpot.

name
string
必須

The name of the property to read or modify.

options
object[]
必須

A list of valid options for the property. This field is required for enumerated properties.

type
string
必須

The data type of the property.

archived
boolean

Whether or not the property is archived.

archivedAt
string<date-time>

When the property was archived.

calculated
boolean

For default properties, true indicates that the property is calculated by a HubSpot process. It has no effect for custom properties.

calculationFormula
string

Represents a formula that is used to compute a calculated property.

createdAt
string<date-time>

The timestamp when the property was created, in ISO 8601 format.

createdUserId
string

The internal user ID of the user who created the property in HubSpot. This field may not exist if the property was created outside of HubSpot.

dataSensitivity
enum<string>

Indicates the sensitivity level of the property, such as "non_sensitive", "sensitive", or "highly_sensitive".

利用可能なオプション:
highly_sensitive,
non_sensitive,
sensitive
dateDisplayHint
enum<string>
利用可能なオプション:
absolute,
absolute_with_relative,
time_since,
time_until
displayOrder
integer<int32>

Property groups are displayed in order starting with the lowest positive integer value. Values of -1 will cause the property group to be displayed after any positive values.

externalOptions
boolean

Applicable only for 'enumeration' type properties. Should be set to true in conjunction with a 'referencedObjectType' of 'OWNER'. Otherwise false.

formField
boolean

Whether or not the property can be used in a HubSpot form.

hasUniqueValue
boolean

Whether or not the property's value must be unique. Once set, this can't be changed.

hidden
boolean

If true, the property won't be visible and can't be used in HubSpot.

hubspotDefined
boolean

This will be true for default object properties built into HubSpot.

modificationMetadata
object
referencedObjectType
string

Should be set to 'OWNER' when 'externalOptions' is true, which causes the property to dynamically pull option values from the current HubSpot users.

sensitiveDataCategories
string[]

When sensitiveData is true, lists the type of sensitive data contained in the property (e.g., "HIPAA").

showCurrencySymbol
boolean

Whether or not the property will display the currency symbol set in the account settings.

updatedAt
string<date-time>

The timestamp when the property was last updated, in ISO 8601 format.

updatedUserId
string

The internal user ID of the user who updated the property in HubSpot. This field may not exist if the property was updated outside of HubSpot.

Last modified on March 30, 2026